/*
 * @(#)CoreStatus.java   18.06.1999
 */
 
package corewar.client;

import corewar.CoreInfo;

import java.awt.Color;
import java.lang.reflect.Array;

/**
 * Die Klasse enthlt erweiterte Informationen ber einen Core.
 *
 * @author Hendrick Kay
 */
public class CoreStatus extends CoreInfo {

    /** Punkte des Cores */
    public byte  score;
    
    /** Farbe des Cores */
    public Color color;
    
    /** PC des Cores */
    public int   pc;

    /**
     * Erzeugt ein CoreStatus-Objekt.
     * 
     */
    public CoreStatus() {
    }

    /**
     * Erzeugt aus einem CoreInfo-Objekt ein CoreStatus-Objekt.
     * 
     * @param coreInfo  Ein CoreInfo-Objekt.
     */
    public CoreStatus(CoreInfo coreInfo) {

        // Felder von coreInfo umkopieren
        this.coreName = coreInfo.coreName;
        this.size     = coreInfo.size;
        this.core     = coreInfo.core;
        this.author   = coreInfo.author;
        this.alive    = coreInfo.alive;
    
    }

    public CoreInfo createCopy() {
        try {
            return (CoreStatus) clone();
        } catch (CloneNotSupportedException e) {
            return null;
        }
    }

    /**
     * Erzeugt eine Kopie des Objekts
     *
     * @return Eine Objekt-Kopie.
     *
    public CoreStatus createCopy() {

        CoreStatus coreStatus = new CoreStatus();

        if (coreName != null ) {
            coreStatus.coreName = new String(coreName);
        }
        coreStatus.size     = size;

        if (core != null) {
            byte[] array = new byte[core.length];
            for (int i = 0; i < core.length; i++) {
                array[i] = core[i];
            }
            coreStatus.core     = array;
        }

        if (author != null) {
            coreStatus.author   = new String(author);
        }

        coreStatus.alive    = alive;
        coreStatus.score    = score;

        if (color !=null) {
            coreStatus.color    = new Color(color.getRed(),
                                            color.getGreen(),
                                            color.getBlue() );
        }

        coreStatus.pc       = pc;

        return coreStatus;
    }*/
   
}
