/*



 * @(#)Token.java    20.06.1999



 */





/*



 * Die Klasse enthlt Informationen ber einen Token.



 * @author Benjamin Stehr



 */






package corewar.compiler;

public class Token {



    /** Konstanten, die verwendet werden, um den Inhalt eines Token anzugeben*/

    public static final int STRING=1;

    public static final int NUMBER=2;

    public static final int HASH=3;

    public static final int ATSIGN=4;

    public static final int COLON=5;

    public static final int COMMA=6;

    public static final int BRACE_OPEN=7;

    public static final int BRACE_CLOSE=8;

    public static final int PLUS=9;

    public static final int MINUS=10;





    /** Angabe, um was es sich bei diesem Token handelt*/



    public int type;







    /** Der Inhalt dieses Token */



    public String content;









    /** Konstruktor */



    public Token (int t, String c) {

        type = t;

        content = c;

    }







    /** Diese Methode liefert den Typ dieses Token zurck*/



    public int getType() {

        return (type);

    }







    /** Diese Methode liefert den Inhalt dieses Token zurck*/



    public String getContent() {

        return (content);

    }



}

