/*
 * @(#)StepInfo.java   19.06.1999
 */
 
package corewar.server;


/**
 * Die Klasse ist eine reine Datenklasse,
 * die benutzt wird, um die Ergebnisse eines
 * ausgefuehrten Befehls vom Interpreter
 * an den Scheduler zurueckzuliefern.
 *
 * @author Burkhard Moser
 */
public class StepInfo
{
   /** pc  Stelle im Ram, an der dieser
    *      Core den naechsten Befehl ausfuehrt.*/
   public int pc;

   /** writeAddr  Speicherstelle, an die der
    *             Befehl geschrieben hat.*/
   public int writeAddr;
   
   /** writeSize  Anzahl der Bytes, die der
    *             Befehl geschrieben hat. Der Wert ist -1,
    *             wenn es sich um einen ungueltigen Befehl
    *             gehandelt hat.*/
   public byte writeSize;
}

