/*
 * @(#)StatusField.java   05.06.1999
 */

package corewar;

/**
 * Das Interface definiert den Zugriff auf eines textlichen Statusfeldes
 * innerhalb einer Klasse
 *
 * @author Hendrick Kay
 */
public interface StatusField {

    /**
     * Lscht den Inhalt des Statusfeldes.
     *
     */
    public void clear();

   /**
     * Zeigt einen Text im Statusfeld an.
     * 
     * @param text  Text der dargestellt werden soll.
     */
    public void showText(String text);

}