/*
 * @(#)RamInfo.java   19.06.1999
 */
 
package corewar.server;

import java.io.Serializable;


/**
 * Die Klasse enthaelt als reine Datenklasse
 * die Informationen ueber die Stellen, an denen
 * die Cores zu Beginn der Simulation in den
 * Speicher geschrieben wurden.
 *
 * @author Burkhard Moser
 */
public class RamInfo implements Serializable
{
   /** @serial addr  Das Array enthaelt die
    *                Speicherstellen, an die die Cores
    *                in das Ram geschrieben wurden.*/
   public int[] addr = null;
}

